# Entity Construction Kit (ECK)

The Entity Construction Kit (ECK) builds upon the entity system to create a flexible
and extensible data modeling system both with a UI for site builders, and with useful
abstractions (classes, plugins, etc) to help developers use entities with ease.

ECK allows the creation and management of entity types with custom properties; adding
bundles to entity types; and fields to bundles, with the help of the Field UI module.

For a full description of the module, visit the
[project page](https://www.drupal.org/project/eck).

Submit bug reports and feature suggestions, or track changes in the
[issue queue](https://www.drupal.org/project/issues/eck).


## Table of contents

- Requirements
- Installation
- Configuration
- Maintainers


## Requirements

This module requires no modules outside of Drupal core.


## Installation

Install as you would normally install a contributed Drupal module. For further
information, see
[Installing Drupal Modules](https://www.drupal.org/docs/extending-drupal/installing-drupal-modules).


## Configuration

- Install and enable Entity Construction Kit module.
  [Entity Construction Kit](https://www.drupal.org/project/eck)
- Choose if you want to use the admin theme for editing eck entities
  at `/admin/appearance`.
- Go to `/admin/structure/eck` to add and configure a new custom entity type.


## Maintainers

- Dieter Holvoet - [DieterHolvoet](https://www.drupal.org/u/dieterholvoet)
- Rob Loach - [RobLoach](https://www.drupal.org/u/robloach)
- Anna Mykhailova - [amykhailova](https://www.drupal.org/u/amykhailova)
- Gerardo Gonzalez - [fmizzell](https://www.drupal.org/u/fmizzell)
- Chris Jansen - [legolasbo](https://www.drupal.org/u/legolasbo)
- Aaron Feledy - [Arrow](https://www.drupal.org/u/arrow)
- Kelly - [kelly.m.jacobs](https://www.drupal.org/u/kellymjacobs)
- Ivan Doroshenko - [Matroskeen](https://www.drupal.org/u/matroskeen)
- Jesse Payne - [acrazyanimal](https://www.drupal.org/u/acrazyanimal)
- Anna Kalata - [akalata](https://www.drupal.org/u/akalata)
- Daniel Popdan - [dpopdan](https://www.drupal.org/u/dpopdan)
- Eric Napier - [eric.napier](https://www.drupal.org/u/ericnapier)
- mducharme - [mducharme](https://www.drupal.org/u/mducharme)
- Barabas Mihai - [mihai_brb](https://www.drupal.org/u/mihai_brb)
- Oleksandr Dekhteruk - [pifagor](https://www.drupal.org/u/pifagor)
- Will Jaspers - [wjaspers](https://www.drupal.org/u/wjaspers)
